package no.valg.valgnatt.database.forberedvalg.geografi;

import no.valg.valgnatt.database.forberedvalg.LoadSave;
import no.valg.valgnatt.database.forberedvalg.bean.BeanStemmekrets;
import no.valg.valgnatt.database.forberedvalg.csv.CsvStemmekretser;
import org.junit.Before;
import org.junit.Test;

import java.util.Map;

import static no.valg.valgnatt.database.domene.ValgType.KO;
import static no.valg.valgnatt.database.domene.ValgType.ST;
import static org.junit.Assert.assertEquals;

public class ValgTest {

    private AlleValg alleValg = new AlleValg();

    @Before
    public void setUp() throws Exception {
        Map<String, BeanStemmekrets> stemmekretserValgMap = LoadSave.load("csv/", new CsvStemmekretser(), BeanStemmekrets.class); // stemmekretser.csv
        alleValg.populerStemmekretser(stemmekretserValgMap.values());
    }

    @Test
    public void getSisteValg_givenKO2019_returnsST2017() {
        Valg ko2019 = new Valg(KO, 2019, alleValg);
        Valg sisteValg = ko2019.getSisteValg();
        assertEquals("ST-2017", sisteValg.toString());
    }

    @Test
    public void getSisteValg_givenST2019_returnsST2017() {
        Valg ko2019 = new Valg(ST, 2019, alleValg);
        Valg sisteValg = ko2019.getSisteValg();
        assertEquals("ST-2017", sisteValg.toString());
    }

}
